Redmine - Defect #30428

API upload documentation is wrong
2019-01-14 20:51 - Brennen Sprimont

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Documentation Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version: 3.2.1

Description

All documentation on the "uploads" api endpoint appears to be outdated. It doesn't mention anything about a "filename" parameter
anywhere and it's not in any examples. However, if the "filename" parameter is excluded, the request always fails with a 422
"extension is not allowed". It looks like this change was made 6 years ago:
https://www.redmine.org/projects/redmine/repository/revisions/10678.

Please add mention of the "filename" parameter, how it is now required, and examples using it.

For example, on: http://www.redmine.org/projects/redmine/wiki/Rest_api_with_curl#Attaching-files

The new curl example should be: curl --data-binary "@image.png" -H "Content-Type: application/octet-stream" -X POST -u
login:password http:/redmine/uploads.xml?filename="image.png"

Thanks

Related issues:
Related to Redmine - Feature #12125: Set filename used to store attachment up... Closed

History

#1 - 2019-01-15 00:41 - Go MAEDA
- Related to Feature #12125: Set filename used to store attachment updloaded via the REST APl added

#2 - 2019-02-02 08:04 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Thank you for pointing it out. You will see "Attachment extension is not allowed" error if you use "Allowed extensions" / "Disallowed extensions"
feature.

| have updated two pages.

http://www.redmine.org/projects/redmine/wiki/Rest_api/diff?utf8=%E2%9C%93&version=100&version_from=99
https://www.redmine.org/projects/redmine/wiki/Rest_api_with_curl/diff?utf8=%E2%9C%93&version=9&version_from=8
